<%@ Control Language="C#" AutoEventWireup="false" CodeBehind="SecondaryList.ascx.cs" Inherits="EPiServer.Templates.Demo.Blog.Units.SecondaryList" %>
<%@ Register Src="~/Templates/Demo/Blog/Units/DateTree.ascx" TagPrefix="Blog" TagName="DateTree" %>
<%@ Register Src="~/Templates/Demo/Blog/Units/TagCloud.ascx" TagPrefix="Blog" TagName="TagCloud" %>
<%@ Import Namespace="EPiServer.Templates.Demo.Blog" %>

<div runat="server" visible="<%# ShowDetails %>">
    <img runat="server" class="bloggerImage" src='<%# BlogStart["Image"] %>' alt='<%# BlogStart["Writer"] %>' visible='<%# !String.IsNullOrEmpty((string)BlogStart["Image"]) %>' />
    <h2><asp:Literal runat="server" Text="<%$ Resources: EPiServer, blog.secondarylist.aboutme %>" /></h2>
    <EPiServer:Property runat="server" PropertyName="Details" PageLink="<%# BlogStart.PageLink %>" />
    <hr />
</div>

<h2><asp:Literal runat="server" Text="<%$ Resources: EPiServer, blog.secondarylist.archive %>" /></h2>
<Blog:DateTree runat="server" TreeStart='<%# (EPiServer.Core.PageReference)BlogStart[BlogUtil.DateContainerPropertyName] %>' />
<hr />
<h2><asp:Literal runat="server" Text="<%$ Resources: EPiServer, blog.secondarylist.tagcloud %>" /></h2>
<Blog:TagCloud runat="server" TagStartPage='<%# (EPiServer.Core.PageReference)BlogStart[BlogUtil.TagContainerPropertyName] %>' />