#region Copyright
/*
Copyright (c) 2008 EPiServer AB.  All rights reserved.

This code is released by EPiServer AB under the Source Code File - Specific License Conditions, published August 20, 2007. 
See http://www.episerver.com/Specific_License_Conditions for details. 
*/
#endregion

#region Known Limitations
/*
The template has the following known limitations:
- Requires EPiServer CMS 5.1 SP1.

- Multi language limitations.
The PageAlphaNumericChars property needs to be specified
for non sv, fi, no, dk and en alphabetic lists. English alphabet will be used by default.
*/
#endregion

using System;
using System.Web;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;

using EPiServer;

namespace EPiServer.Templates.Demo.Pages
{
	/// <summary>
	/// Presents a listing of pages in an alphanumeric order. 
	/// </summary>
	public partial class AlphanumericListing : TemplatePage
	{
	}
}