<%@ Page Language="C#" MasterPageFile="~/Templates/Demo/MasterPages/MasterPage.master" CodeBehind="NewsListPage.aspx.cs" Inherits="EPiServer.Templates.Demo.Workroom.Pages.NewsListPage" %>
<%@ Register TagPrefix="Workroom" TagName="NewsList" Src="../Units/NewsList.ascx" %>

<asp:Content ContentPlaceHolderID="MainContentRegion" runat="server">
	    <div class="contentAreaWide contentAreaFirst">            
	        <asp:Panel ID="ViewPanel" runat="server" CssClass="container">
                <div class="containerToolbar">
    	            <asp:LinkButton ID="EditButton" CssClass="editButton" runat="server" Text="<%$ Resources: EPiServer, button.edit %>" OnClick="Edit_Click" />
                    <asp:LinkButton ID="DeleteButton" CssClass="deleteButton" runat="server" Text="<%$ Resources: EPiServer, button.delete %>" OnClick="Delete_Click" />
                </div>
                <div class="containerContentText">
	                <h1><EPiServer:Property ID="PageNameProp" PropertyName="PageName" runat="server" /></h1>
	                <EPiServer:Property ID="MainBodyProp" PropertyName="MainBody" runat="server" />
	            </div>
	        </asp:Panel>
	        
	        <asp:Panel ID="EditPanel" runat="server" Visible="false" CssClass="container">
	            <div class="containerCaption">
	                <h1 runat="server" id="EditPanelCaption"><asp:literal Text="<%$ Resources: EPiServer, workroom.newslistpage.editheading %>" runat="server" /></h1>
	            </div>
	            <div class="containerContent createNews">
	                <asp:ValidationSummary CssClass="validation" runat="server" />
	                <div>
                        <asp:label ID="EditPageNameLabel" Text="<%$ Resources: EPiServer, workroom.newslistpage.headinglabel %>" AssociatedControlID="EditPageName" runat="server" /><br />
                        <asp:TextBox ID="EditPageName" runat="server" />
                        <asp:RequiredFieldValidator runat="server" ControlToValidate="EditPageName" EnableClientScript="true" text="*" ErrorMessage="<%$ Resources: EPiServer, workroom.newslistpage.titleempty %>" />
                    </div>
                    <div>
                        <asp:label ID="EditMainBodyLabel" Text="<%$ Resources: EPiServer, workroom.newslistpage.bodylabel %>" AssociatedControlID="EditMainBody" runat="server" /><br />
                        <asp:TextBox ID="EditMainBody" TextMode="MultiLine" runat="server" />
                    </div>
                    <div class="buttons">
	                    <asp:Button ID="EditButtonSave" CssClass="button" runat="server" Text="<%$ Resources: EPiServer, button.save %>" OnClick="Save_Click" />
                        <asp:Button ID="EditButtonCancel" CssClass="button" runat="server" Text="<%$ Resources: EPiServer, button.cancel %>" OnClick="Cancel_Click" CausesValidation="false" />
                    </div>
                </div>
            </asp:Panel>
    	    
        </div>
        <div class="contentAreaNarrow">
            <Workroom:NewsList PagesPerPagingItem="5" ID="NewsListUnit" PageLink="<%# CurrentPage.PageLink %>" Heading="<%$ Resources: EPiServer, workroom.newslist.heading %>" PreviewTextLength="80" OnAddButtonClicked="Add_Click" AddButtonVisible="true" runat="server" />
        </div>


</asp:Content>
