<%@ Page Language="C#" AutoEventWireup="false" MasterPageFile="~/Templates/Demo/MasterPages/MasterPage.master" CodeBehind="Start.aspx.cs" Inherits="EPiServer.Templates.Demo.Workroom.Pages.Start" %>
<%@ Register TagPrefix="Workroom" TagName="EditableContent" Src="../Units/EditableContent.ascx" %>
<%@ Register TagPrefix="Workroom" TagName="FileList" Src="../Units/FileList.ascx" %>
<%@ Register TagPrefix="Workroom" TagName="NewsList" Src="../Units/NewsList.ascx" %>
<%@ Register TagPrefix="Workroom" TagName="CalendarList" Src="../Units/CalendarList.ascx"%>

<asp:Content runat="server" ContentPlaceHolderID="MainContentRegion">
    <asp:ValidationSummary runat="server" />
    <div class="contentAreaHalf contentAreaFirst">
        <Workroom:EditableContent PropertyName="MainBody" runat="server" />
        <Workroom:NewsList ID="NewsListUnit" PageLinkProperty="NewsRoot" Heading="<%$ Resources: EPiServer, workroom.newslist.heading %>" CssClass="container workroomItemlist" MaxCount="10" PagesPerPagingItem="3" PreviewTextLength="80" runat="server" />
    </div>
    <div class="contentAreaHalf">
        <Workroom:FileList ID="FileList" RootFolder="<%# FileFolderRoot %>" Heading="<%$ Resources: EPiServer, workroom.filelist.heading %>" CssClass="container workroomFilelist" MaxCount="7" runat="server" />
        <Workroom:CalendarList ID="CalendarList" CalendarContainer='<%# (EPiServer.Core.PageReference)CurrentPage["CalendarContainer"] %>' MaxCount="5" runat="server" />
    </div>
</asp:Content>
