<%@ Page Language="C#" AutoEventWireup="false" EnableViewState="false" MasterPageFile="~/Templates/Demo/MasterPages/MasterPage.master" CodeBehind="List.aspx.cs" Inherits="EPiServer.Templates.Demo.Blog.Pages.List" %>
<%@ Register Src="~/Templates/Demo/Blog/Units/ItemSummary.ascx" TagPrefix="Blog" TagName="ItemSummary" %>
<%@ Register Src="~/Templates/Demo/Blog/Units/SecondaryList.ascx" TagPrefix="Blog" TagName="SecondaryList" %>
<%@ Import Namespace="EPiServer.Templates.Demo.Blog" %>

<asp:Content ContentPlaceHolderID="MainContentRegion" runat="server">
	<div id="MainBodyArea">
	    <div id="MainBody">
	        <h2><%= Heading %></h2>
	        <asp:Repeater runat="server" DataSource="<%# Pages %>">
	            <ItemTemplate>
                    <Blog:ItemSummary runat="server" SelectedPage="<%# (EPiServer.Core.PageData)Container.DataItem %>" ShowImage="false" />
                </ItemTemplate>
                <SeparatorTemplate><hr /></SeparatorTemplate>
            </asp:Repeater>
        </div>
    </div>
    
    <div id="SecondaryBodyArea">
		<div id="SecondaryBody">
            <Blog:SecondaryList runat="server" BlogStart='<%# BlogStart %>' ShowDetails='<%# !(bool)(CurrentPage[BlogUtil.IsTeamLevelPropertyName] ?? false) %>' />
		</div>
	</div>
</asp:Content>