<%@ Page Language="C#" AutoEventWireup="false" EnableViewState="false" MasterPageFile="~/Templates/Demo/MasterPages/MasterPage.master" CodeBehind="PersonalStart.aspx.cs" Inherits="EPiServer.Templates.Demo.Blog.Pages.PersonalStart" %>
<%@ Register Src="~/Templates/Demo/Blog/Units/ItemSummary.ascx" TagPrefix="Blog" TagName="ItemSummary" %>
<%@ Register Src="~/Templates/Demo/Blog/Units/SecondaryList.ascx" TagPrefix="Blog" TagName="SecondaryList" %>

<asp:Content ContentPlaceHolderID="MainContentRegion" runat="server">
	<div id="MainBodyArea">
	    <div id="MainBody">
            <EPiServer:PageList runat="server" DataSource="<%# BlogItems %>" MaxCount="<%# MaxCount %>">
                <ItemTemplate>
                    <Blog:ItemSummary runat="server" SelectedPage="<%# Container.CurrentPage %>" SummaryTextLength="<%# SummaryTextLength %>" ShowImage="false" ShowWriter="false" />
                    <hr />
                </ItemTemplate>
            </EPiServer:PageList>
        </div>
    </div>
    
    <div id="SecondaryBodyArea">
		<div id="SecondaryBody">
            <Blog:SecondaryList runat="server" BlogStart="<%# BlogStart %>" />
		</div>
	</div>
</asp:Content>