<%@ Control Language="C#" AutoEventWireup="false" CodeBehind="FileList.ascx.cs" Inherits="EPiServer.Templates.Demo.Workroom.Units.FileList" %>
<%@ Import Namespace="EPiServer.Web.Hosting" %>    

<div class="<%= CssClass %>">
    <div class="containerCaption">
        <h1 id="FileListHeading" runat="server"></h1>
    </div>
    <div class="containerContent">
        <asp:Label runat="server" ID="ErrorMessage" Visible="false" />
    
        <asp:Repeater runat="server" ID="FileListing">
            <HeaderTemplate>
                <ul>
            </HeaderTemplate>
            <ItemTemplate>
                <li class="uneven">
                    <a class='document <%# String.Format("{0}Extension", ((UnifiedFile)Container.DataItem).Extension.Substring(1)) %>'  href='<%# ((UnifiedFile)Container.DataItem).VirtualPath %>'><%# FormatFileNameLength(((UnifiedFile)Container.DataItem).Name)%></a>
                    <span class="date"><%#((UnifiedFile)Container.DataItem).Changed.ToString("yyyy-MM-dd HH:mm")%></span>
                </li>
            </ItemTemplate>
            <AlternatingItemTemplate>
                <li class="even">
                    <a class='document <%# String.Format("{0}Extension", ((UnifiedFile)Container.DataItem).Extension.Substring(1)) %>'  href='<%# ((UnifiedFile)Container.DataItem).VirtualPath %>'><%# FormatFileNameLength(((UnifiedFile)Container.DataItem).Name)%></a>
                    <span class="date"><%#((UnifiedFile)Container.DataItem).Changed.ToString("yyyy-MM-dd HH:mm")%></span>
                </li>
            </AlternatingItemTemplate>
            <FooterTemplate>
                </ul>
            </FooterTemplate>
        </asp:Repeater>
    </div>
</div>