<%@ Control Language="C#" AutoEventWireup="false" CodeBehind="NewsList.ascx.cs" Inherits="EPiServer.Templates.Demo.Workroom.Units.NewsList" %>

<div class="container workroomItemlist">
    <div class="containerCaption">
        <div class="containerToolbar">
            <asp:LinkButton ID="AddButton" CssClass="createButton" runat="server" Text="<%$ Resources: EPiServer, button.add %>" OnClick="AddButton_Click" Visible="<%# Page as EPiServer.Templates.Demo.Workroom.Pages.NewsListPage != null %>" />
        </div>
        <h1 id="NewsListHeading" runat="server"></h1>
    </div>
    <div class="containerContent">
        <EPiServer:PageList ID="NewsListing" SortOrder="PublishedDescending" runat="server">
	        <HeaderTemplate>
                <ul>
	        </HeaderTemplate>
	        <ItemTemplate>
		            <li class="<%# Container.CurrentPage.PageLink.CompareToIgnoreWorkID(SelectedPageID) && ShowPostBackLinks ? "selected" : "" %> <%= ListItemEven ? "even" : "uneven" %>">
                        <h3><%# Container.CurrentPage.StartPublish.ToString("dd MMM yyyy HH:mm") %></h3>
		                <h2>
                        <asp:LinkButton OnCommand="LinkButton_Command" CommandArgument='<%# Container.CurrentPage.PageLink.ID %>' ToolTip="<%$ Resources: EPiServer, navigation.readmore %>" runat="server" visible='<%# ShowPostBackLinks %>'>
		                    <EPiServer:Property PropertyName="PageName" runat="server" />
		                </asp:LinkButton>
		                <asp:HyperLink NavigateUrl='<%# GetNavigateURL(Container.CurrentPage) %>' ToolTip="<%$ Resources: EPiServer, navigation.readmore %>" runat="server" visible='<%# !ShowPostBackLinks %>'>
		                    <EPiServer:Property PropertyName="PageName" runat="server" />
		                </asp:HyperLink>
                        </h2>
                        <p><%# GetPreviewText(Container.CurrentPage) %></p>
			        </li>
	        </ItemTemplate>
	        <FooterTemplate>
                </ul>
		    </FooterTemplate>
        </EPiServer:PageList>
    </div>
</div>



